package main

import (
	"fmt"
	"log"

	"github.com/alexedwards/argon2id"
)

func main() {
	password := "mmmmmmmm"

	// Use default recommended parameters
	hash, err := argon2id.CreateHash(password, argon2id.DefaultParams)
	if err != nil {
		log.Fatal(err)
	}

	fmt.Println("Argon2 Hash:")
	fmt.Println(hash)
}
